Filter interviews by
I was interviewed in Sep 2021.
Round duration - 60 minutes
Round difficulty - Medium
Students who qualified in first round gets link for this round, this round had 4 questions in total, out of which 1 was output based and 3 was DSA based.
The task is to determine if the given binary tree nodes form exactly one valid binary tree.
Check if there is only one root node (a node with no parent)
Check if each node has at most one parent
Check if there are no cycles in the tree
Check if all nodes are connected and form a single tree
Round duration - 75 minutes
Round difficulty - Medium
This round was of 70-75 minutes and had 3 coding questions of easy to medium level. There was some restrictions like we cannot use built-in functions in both second and third subjective round.
The maximum number of balanced binary trees possible with a given height is to be counted and printed.
A balanced binary tree is one in which the difference between the left and right subtree heights is less than or equal to 1.
The number of balanced binary trees can be calculated using dynamic programming.
The number of balanced binary trees with height 'H' can be obtained by summing the product of the number of balanced...
Round duration - 60 minutes
Round difficulty - Medium
This was face to face interview round of 60 minutes. It was mostly based on DSA, some questions was also asked related to my projects and DBMS. Interviewer was kind and good.
If the given sequence ‘ARR’ has ‘N’...
The task is to sort an array in a wave form, where each element is greater than or equal to its adjacent elements.
Iterate through the array and swap adjacent elements if they do not follow the wave pattern
Start from the second element and compare it with the previous element, swap if necessary
Continue this process until the end of the array
Repeat the process for the remaining elements
Return the sorted wave array
The task is to find the maximum sum of node values of any subtree that is a Binary Search Tree(BST).
Traverse the binary tree in a bottom-up manner
For each node, check if it forms a BST and calculate the sum of its subtree
Keep track of the maximum sum encountered so far
Return the maximum sum
Round duration - 135 minutes
Round difficulty - Hard
This was the final technical round, it was around 2.5 hours long and based on mostly DSA and little bit Projects, DBMS, OS. Josh mainly focus on DSA and on Tree Data Structure in interview.
The task is to check if there exist two unique elements in the given BST such that their sum is equal to the given target 'K'.
Traverse the BST in-order and store the elements in a sorted array
Use two pointers, one at the beginning and one at the end of the array
Check if the sum of the elements at the two pointers is equal to the target 'K'
If the sum is less than 'K', move the left pointer to the right
If the sum is grea...
The task is to find all nodes in a binary tree that are at a distance K from a given node.
Implement a function that takes the binary tree, target node, and distance K as input.
Use a depth-first search (DFS) algorithm to traverse the tree and find the nodes at distance K.
Keep track of the distance from the current node to the target node while traversing.
When the distance equals K, add the current node to the result lis...
Round duration - 20 minutes
Round difficulty - Easy
This was the simple 20 minutes round
In this interviewer asked me about my family, residence and if I will have any issue in relocating to Gurgaon. After 30 minutes of this round they send me mail regarding my selection.
The candidate was asked about their family, residence, and willingness to relocate to Gurgaon.
The interviewer wanted to know about the candidate's personal background and circumstances.
The candidate's response may have influenced their selection.
Examples of relevant information include family size, current residence location, and any potential challenges in relocating.
The candidate's answer should demonstrate their fle
Tip 1 : Try to solve some good questions from every topic.
Tip 2 : If not have much time, then you can solve top interview questions from Leetcode.
Tip 3 : Made 2-3 good projects using any technology
Tip 1 : Keep resume short and crispy.
Tip 2 : Add coding profile handles and github link.
I was interviewed in Sep 2021.
Round duration - 180 min
Round difficulty - Hard
In order to find out the complexity of brute force approach, we need to first know the number of possible different subsequences of a string with length n, i.e., find the number of subsequences with lengths ranging from 1,2,..n-1. Recall from theory of permutation and combination that number of combinations with 1 element are nC1. Number of combinations with 2 elements are nC2 and so forth and so on. We know that nC0 +...
In Fractional Knapsack, we can break items for maximizing the total value of knapsack. This problem in which we can break an item is also called the fractional knapsack problem.
A brute-force solution would be to try all possible subset with all different fraction but that will be too much time taking.
An efficient solution is to use the Greedy approach. The basic idea of the greedy approach is to calculate t...
1) Sort the elements in descending order in O(n*log(n))
2) Print the first k numbers of the sorted array O(k).
Round duration - 60 Minutes
Round difficulty - Medium
In method 1, we traverse the tree in top-down manner and do BST test for every node. If we traverse the tree in bottom-up manner, then we can pass information about subtrees to the parent. The passed information can be used by the parent to do BST test (for parent node) only in constant time (or O(1) time). A left subtree need to tell the parent whether it is BST or not and also needs to pass maximum value in it. So th...
The idea is to use the recursion to try all the possible combinations of multiplying the matrices. After trying all the possible combinations we will take the minimum operations out of all the combinations.
For multiplying two matrices with dimensions (mXn) and (nXp), the number of operations required are m * n * p.
The steps are as follows :
Given Linked List : 1 2...
To rotate a linked list by k, we can first make the linked list circular and then moving k-1 steps forward from head node, making (k-1)th node’s next to null and make kth node as head.
Round duration - 45 minutes
Round difficulty - Easy
We have to code a todo alike app called PROJECT PLANNER with raw HTML, CSS & JS in 2:30-3:00 Hours, all the instructions related to UI Design+functionality and scoring criteria ab...
The time complexity can be reduced by storing results of sub-problems. The idea is similar to this post.
Maintain a boolean table[n][n] that is filled in bottom up manner.
The value of table[i][j] is true, if the substring is palindrome, otherwise false.
To calculate table[i][j], check the value of table[i+1][j-1], if the value is true and str[i] is same as str[j], then we make table[i][j] true.
Otherwise, the value ...
Tip 1 : be thoroughly prepared with dsa
Tip 2 : focus on dbms.
Tip 3 : be prepared with skills mentioned in resume
Tip 1 : mention some good projects
Tip 2 : don't put false statement
Top trending discussions
posted on 17 Oct 2024
I applied via Walk-in
To implement a queue using a stack, use two stacks and simulate the queue operations.
Use two stacks, one for enqueue operation and one for dequeue operation.
For enqueue operation, simply push elements onto the stack used for enqueueing.
For dequeue operation, if the dequeue stack is empty, pop all elements from enqueue stack and push onto dequeue stack.
Then pop from the dequeue stack to simulate dequeue operation.
A linked list is a data structure consisting of nodes where each node points to the next node in the sequence.
Create a Node class with data and next pointer
Initialize a head pointer to null
Add nodes by updating next pointers
Traverse the list by following next pointers
Print unique numbers in list
Iterate through the list and store each number in a set to keep track of unique numbers
Print out the numbers in the set to display the unique numbers
I applied via campus placement at Pimpri Chinchwad College of Engineering, Pimpri and was interviewed in Jul 2022. There were 5 interview rounds.
Basic Aptitude questions mainly on quantitative
Google docs was shared which has 5 coding questions mainly on array and string.
The question is about finding the occurrence of characters in a string.
Iterate through the string and count the occurrence of each character.
Use a hash table to store the count of each character.
Consider the case sensitivity of the characters.
Handle special characters and spaces as required.
The angle between hour and minute hand of a clock at a given time.
Calculate the angle made by the hour hand with 12 o'clock
Calculate the angle made by the minute hand with 12 o'clock
Find the difference between the two angles
If the difference is greater than 180 degrees, subtract it from 360 degrees
The result is the angle between the hour and minute hand
Printing all the subsequences in an array with a given sum.
Use recursion to generate all possible subsequences.
Check if the sum of each subsequence is equal to the given sum.
Print the subsequences that satisfy the condition.
Time complexity: O(2^n).
The task is to print a string without any repeating characters.
Iterate through the string and keep track of the characters seen so far.
If a character is already seen, skip it.
Otherwise, add it to the output string.
Return the output string.
Sort an array of 0s and 1s in one loop using two pointers.
Use two pointers, one starting from the beginning and the other from the end.
Swap the values at the pointers if the value at the beginning pointer is greater than the value at the end pointer.
Continue until the pointers meet in the middle.
Time complexity is O(n).
posted on 10 Sep 2024
I was interviewed in Aug 2024.
It was easy difficulty.
I applied via Campus Placement and was interviewed in Sep 2023. There were 4 interview rounds.
Duration:30 min
Question from percentage,ratios ,HCF/LCM etc.,
Logical reasoning, English
Reverse a string by grouping 'm' characters together
Iterate through the string in groups of 'm' characters
Reverse each group of 'm' characters
Concatenate the reversed groups to get the final reversed string
I applied via Walk-in and was interviewed in Jul 2023. There were 2 interview rounds.
Asked basic questions on aptitude and reasoning
It cosist of some aptitude questions
I applied via Cocubes and was interviewed in Jan 2022. There were 2 interview rounds.
Most rounds were regarding English proficiency and 1 round regarding logical reasoning
posted on 17 Oct 2024
I applied via Walk-in
To implement a queue using a stack, use two stacks and simulate the queue operations.
Use two stacks, one for enqueue operation and one for dequeue operation.
For enqueue operation, simply push elements onto the stack used for enqueueing.
For dequeue operation, if the dequeue stack is empty, pop all elements from enqueue stack and push onto dequeue stack.
Then pop from the dequeue stack to simulate dequeue operation.
A linked list is a data structure consisting of nodes where each node points to the next node in the sequence.
Create a Node class with data and next pointer
Initialize a head pointer to null
Add nodes by updating next pointers
Traverse the list by following next pointers
Some of the top questions asked at the Josh Technology Group Software Developer interview for freshers -
The duration of Josh Technology Group Software Developer interview process can vary, but typically it takes about less than 2 weeks to complete.
based on 11 reviews
Rating in categories
Software Developer
94
salaries
| ₹6.8 L/yr - ₹19.5 L/yr |
Front end Developer
48
salaries
| ₹6.3 L/yr - ₹17 L/yr |
Senior Software Developer
41
salaries
| ₹8.2 L/yr - ₹24 L/yr |
Software Quality Analyst
22
salaries
| ₹4.2 L/yr - ₹7.5 L/yr |
Software Engineer
19
salaries
| ₹6 L/yr - ₹15 L/yr |
TCS
Infosys
Wipro
HCLTech